Daemon Power

The NetBSD Packages Collection: x11/py-Tk

Brief description of the package:
Tkinter -- Python interface to Tcl/Tk

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://wiki.python.org/moin/TkInter.

Please note that this package has a python-software-foundation license.

The package is located in the "x11/py-Tk" directory. The current source version of the package is "py37-Tk-3.7.6nb5". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/py-Tk :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 openssl>=1.1.1 libffi>=3.0.11 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.6 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tk>=8.5.7 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=1.31 osabi-NetBSD-8.1_STABLE xorgproto>=2016.1 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 Xft2>=2.1.7nb7 tcl>=8.6.1nb1 tk>=8.6.8nb1 .

This package requires the following package(s) to run: python37>=3.7 libffi>=1.20 libuuid>=2.18 openssl>=1.1.1 libffi>=3.0.11 openssl>=1.1.1dnb2 python37>=3.7.0 python37>=3.7.6 tcl>=8.5.7 sqlite3>=3.25.3 sqlite3>=3.0.8 sqlite3>=3.27.2nb1 tk>=8.5.7 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 Xft2>=2.1.7nb7 tcl>=8.6.1nb1 tk>=8.6.8nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py27-Tk-2.7.17nb5.tgz(NetBSD 9.0)
aarch64:py36-Tk-3.6.9nb5.tgz(NetBSD 9.0)
aarch64:py37-Tk-3.7.5nb5.tgz(NetBSD 9.0)
alpha:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
alpha:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
alpha:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
alpha:py27-Tk-2.7.17nb5.tgz(NetBSD 9.0)
alpha:py36-Tk-3.6.9nb5.tgz(NetBSD 9.0)
alpha:py37-Tk-3.7.5nb5.tgz(NetBSD 9.0)
earm:py27-Tk-2.7.11nb4.tgz(NetBSD 7.0)
earm:py33-Tk-3.3.6nb4.tgz(NetBSD 7.0)
earm:py34-Tk-3.4.3nb4.tgz(NetBSD 7.0)
earm:py35-Tk-3.5.1nb4.tgz(NetBSD 7.0)
earm:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
earm:py36-Tk-3.6.8nb5.tgz(NetBSD 8.0)
earm:py37-Tk-3.7.3nb5.tgz(NetBSD 8.0)
earmv4:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
earmv4:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
earmv4:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
earmv6hf:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
earmv6hf:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
earmv6hf:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
earmv6hf:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
earmv6hf:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
earmv6hf:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
earmv7hf:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
earmv7hf:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
earmv7hf:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
earmv7hf:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
earmv7hf:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
earmv7hf:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
i386:py27-Tk-2.7.17nb5.tgz(NetBSD 7.0)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 7.0)
i386:py37-Tk-3.7.5nb5.tgz(NetBSD 7.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
i386:py34-Tk-3.4.10nb5.tgz(NetBSD 7.0)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 7.0)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 7.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 7.0)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 7.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 7.0)
i386:py37-Tk-3.7.4nb5.tgz(NetBSD 7.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
i386:py34-Tk-3.4.10nb5.tgz(NetBSD 7.1)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 7.1)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 7.1)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 7.1)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 7.1)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 7.1)
i386:py37-Tk-3.7.4nb5.tgz(NetBSD 7.1)
i386:py27-Tk-2.7.17nb5.tgz(NetBSD 7.1)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 7.1)
i386:py37-Tk-3.7.5nb5.tgz(NetBSD 7.1)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
i386:py34-Tk-3.4.10nb5.tgz(NetBSD 8.0)
i386:py35-Tk-3.5.7nb5.tgz(NetBSD 8.0)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 8.0)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 8.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
i386:py36-Tk-3.6.8nb5.tgz(NetBSD 8.0)
i386:py37-Tk-3.7.3nb5.tgz(NetBSD 8.0)
i386:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
i386:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
i386:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
i386:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
i386:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
i386:py24-Tk-0nb5.tgz(QNX 6.5.0)
i386:py25-Tk-0nb5.tgz(QNX 6.5.0)
i386:py26-Tk-0nb5.tgz(QNX 6.5.0)
i386:py27-Tk-0nb5.tgz(QNX 6.5.0)
i386:py31-Tk-0nb5.tgz(QNX 6.5.0)
mips64eb:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
mips64eb:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
mips64eb:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
powerpc:py27-Tk-2.7.15nb5.tgz(NetBSD 7.1)
powerpc:py34-Tk-3.4.9nb5.tgz(NetBSD 7.1)
powerpc:py35-Tk-3.5.6nb5.tgz(NetBSD 7.1)
powerpc:py36-Tk-3.6.7nb5.tgz(NetBSD 7.1)
powerpc:py37-Tk-3.7.1nb5.tgz(NetBSD 7.1)
powerpc:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
powerpc:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
powerpc:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
powerpc:py27-Tk-2.7.16nb5.tgz(NetBSD 9.0)
powerpc:py36-Tk-3.6.8nb5.tgz(NetBSD 9.0)
powerpc:py37-Tk-3.7.3nb5.tgz(NetBSD 9.0)
powerpc:py27-Tk-2.7.17nb5.tgz(NetBSD 9.0)
powerpc:py36-Tk-3.6.9nb5.tgz(NetBSD 9.0)
powerpc:py37-Tk-3.7.5nb5.tgz(NetBSD 9.0)
sparc64:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
sparc64:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
sparc64:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
sparc:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
sparc:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
sparc:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)
sparc:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
sparc:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
sparc:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
x86_64:py27-Tk-2.7.17nb5.tgz(NetBSD 7.0)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 7.0)
x86_64:py37-Tk-3.7.5nb5.tgz(NetBSD 7.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
x86_64:py34-Tk-3.4.10nb5.tgz(NetBSD 7.0)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 7.0)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 7.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 7.0)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 7.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.0)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 7.0)
x86_64:py37-Tk-3.7.4nb5.tgz(NetBSD 7.0)
x86_64:py27-Tk-2.7.17nb5.tgz(NetBSD 7.1)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 7.1)
x86_64:py37-Tk-3.7.5nb5.tgz(NetBSD 7.1)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
x86_64:py34-Tk-3.4.10nb5.tgz(NetBSD 7.1)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 7.1)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 7.1)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 7.1)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 7.1)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 7.1)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 7.1)
x86_64:py37-Tk-3.7.4nb5.tgz(NetBSD 7.1)
x86_64:py27-Tk-2.7.17nb5.tgz(NetBSD 8.0)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
x86_64:py37-Tk-3.7.5nb5.tgz(NetBSD 8.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
x86_64:py34-Tk-3.4.10nb5.tgz(NetBSD 8.0)
x86_64:py35-Tk-3.5.7nb5.tgz(NetBSD 8.0)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 8.0)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 8.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
x86_64:py36-Tk-3.6.8nb5.tgz(NetBSD 8.0)
x86_64:py37-Tk-3.7.3nb5.tgz(NetBSD 8.0)
x86_64:py27-Tk-2.7.16nb5.tgz(NetBSD 8.0)
x86_64:py36-Tk-3.6.9nb5.tgz(NetBSD 8.0)
x86_64:py37-Tk-3.7.4nb5.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]